com.genesyslab.wfm8.API.service.config812

## Interface ECfgObjectType

-     public interface ECfgObjectType

  Title: WFM API

  Description: Genesys WFM API

  Copyright: Copyright (c) 2005

  Company: Genesys Labs

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CFG_ACCRUAL_RULE_OBJECT`
    `static int` | `CFG_ACTIVITY_OBJECT`
    `static int` | `CFG_ACTIVITY_SET_OBJECT`
    `static int` | `CFG_AGENT_OBJECT`
    `static int` | `CFG_AGENT_STATE_OBJECT`
    `static int` | `CFG_BREAK_OBJECT`
    `static int` | `CFG_BU_OBJECT`
    `static int` | `CFG_CARPOOL_OBJECT`
    `static int` | `CFG_COLORS_OBJECT`
    `static int` | `CFG_CONTRACT_OBJECT`
    `static int` | `CFG_EXCEPTION_TYPE_OBJECT`
    `static int` | `CFG_FIXED_STATE_OBJECT`
    `static int` | `CFG_GLOBAL_SETTINGS_OBJECT`
    `static int` | `CFG_MARKED_TIME_OBJECT`
    `static int` | `CFG_MEAL_OBJECT`
    `static int` | `CFG_MEETING_OBJECT`
    `static int` | `CFG_NOTIFY_PARAM_OBJECT`
    `static int` | `CFG_PROFILE_OBJECT`
    `static int` | `CFG_REPORT_OBJECT`
    `static int` | `CFG_REPORT_TASK_OBJECT`
    `static int` | `CFG_ROTATION_OBJECT`
    `static int` | `CFG_SECURITY_ROLE_OBJECT`
    `static int` | `CFG_SHIFT_OBJECT`
    `static int` | `CFG_SITE_OBJECT`
    `static int` | `CFG_SKILL_OBJECT`
    `static int` | `CFG_STATE_GROUP_OBJECT`
    `static int` | `CFG_STATE_OBJECT`
    `static int` | `CFG_SUBSYSTEM_OBJECT`
    `static int` | `CFG_TASK_SEQUENCE_OBJECT`
    `static int` | `CFG_TEAM_OBJECT`
    `static int` | `CFG_TIMEOFF_TYPE_OBJECT`
    `static int` | `CFG_TIMEZONE_OBJECT`
    `static int` | `CFG_UNKNOWN_OBJECT`
    `static int` | `CFG_USER_OBJECT`
    `static int` | `CFG_VIRTUAL_ACTIVITY_OBJECT`

- - ### Field Detail

    - #### CFG_UNKNOWN_OBJECT

          static final int CFG_UNKNOWN_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_BU_OBJECT

          static final int CFG_BU_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_SITE_OBJECT

          static final int CFG_SITE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_AGENT_OBJECT

          static final int CFG_AGENT_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_TEAM_OBJECT

          static final int CFG_TEAM_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_CONTRACT_OBJECT

          static final int CFG_CONTRACT_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_PROFILE_OBJECT

          static final int CFG_PROFILE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_ACTIVITY_OBJECT

          static final int CFG_ACTIVITY_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_ACTIVITY_SET_OBJECT

          static final int CFG_ACTIVITY_SET_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_VIRTUAL_ACTIVITY_OBJECT

          static final int CFG_VIRTUAL_ACTIVITY_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_SHIFT_OBJECT

          static final int CFG_SHIFT_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_MEAL_OBJECT

          static final int CFG_MEAL_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_BREAK_OBJECT

          static final int CFG_BREAK_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_TASK_SEQUENCE_OBJECT

          static final int CFG_TASK_SEQUENCE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_EXCEPTION_TYPE_OBJECT

          static final int CFG_EXCEPTION_TYPE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_MEETING_OBJECT

          static final int CFG_MEETING_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_AGENT_STATE_OBJECT

          static final int CFG_AGENT_STATE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_FIXED_STATE_OBJECT

          static final int CFG_FIXED_STATE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_STATE_OBJECT

          static final int CFG_STATE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_STATE_GROUP_OBJECT

          static final int CFG_STATE_GROUP_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_SKILL_OBJECT

          static final int CFG_SKILL_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_SUBSYSTEM_OBJECT

          static final int CFG_SUBSYSTEM_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_USER_OBJECT

          static final int CFG_USER_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_TIMEZONE_OBJECT

          static final int CFG_TIMEZONE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_ROTATION_OBJECT

          static final int CFG_ROTATION_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_GLOBAL_SETTINGS_OBJECT

          static final int CFG_GLOBAL_SETTINGS_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_ACCRUAL_RULE_OBJECT

          static final int CFG_ACCRUAL_RULE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_TIMEOFF_TYPE_OBJECT

          static final int CFG_TIMEOFF_TYPE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_MARKED_TIME_OBJECT

          static final int CFG_MARKED_TIME_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_NOTIFY_PARAM_OBJECT

          static final int CFG_NOTIFY_PARAM_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_COLORS_OBJECT

          static final int CFG_COLORS_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_REPORT_TASK_OBJECT

          static final int CFG_REPORT_TASK_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_REPORT_OBJECT

          static final int CFG_REPORT_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_SECURITY_ROLE_OBJECT

          static final int CFG_SECURITY_ROLE_OBJECT

      See Also:
        Constant Field Values

    - #### CFG_CARPOOL_OBJECT

          static final int CFG_CARPOOL_OBJECT

      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.